### Method

# GtkSource Buffer get_source_marks_at_line

#### Declaration [src]

    GSList*
    gtk_source_buffer_get_source_marks_at_line (
      GtkSourceBuffer* buffer,
      gint line,
      const gchar* category
    )

#### Description [src]

Returns the list of marks of the given category at `line`.

If `category` is `NULL`, all marks at `line` are returned.

#### Parameters

`line`

  Type: `gint`

  A line number.

`category`

  Type: `const gchar*`

  Category to search for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `GtkSourceMark*`

a newly allocated `GSList`.

The caller of the method takes ownership of the returned data container, but not the data inside it.